## plasma-mobile 6.5.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.24)

project(plasma-mobile)
set(PROJECT_VERSION "6.5.3")

set(PROJECT_DEP_VERSION "6.5.3")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(INSTALL_SYSTEMD_SERVICE "Install a systemd service file to start the session" OFF)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KF_IGNORE_PLATFORM_CHECK ON CACHE BOOL "Don't check platform that is being built on")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMGenerateQmlTypes)
include(ECMConfiguredInstall)
include(ECMFindQmlModule)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMA_MOBILE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Qml
    Quick
    Gui
    Sensors
    WaylandClient
)

if(Qt6WaylandClient_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6 REQUIRED COMPONENTS WaylandClientPrivate)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    GlobalAccel
    KIO
    Config
    DBusAddons
    ItemModels
    Service
    Notifications
    ModemManagerQt
    NetworkManagerQt
    KCMUtils
    Package
    JobWidgets
)

find_package(Plasma CONFIG REQUIRED)
find_package(PlasmaQuick CONFIG REQUIRED)
find_package(PlasmaActivities CONFIG REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(KWayland CONFIG REQUIRED)
find_package(KPipeWire ${PROJECT_DEP_VERSION} REQUIRED)

find_package(PkgConfig REQUIRED)

find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
qcoro_enable_coroutines()
kde_enable_exceptions()

pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)

find_package(KF6KirigamiAddons 0.6 REQUIRED)
find_package(epoxy REQUIRED)
find_package(XCB REQUIRED COMPONENTS XCB)
find_package(KWin ${PROJECT_DEP_VERSION} REQUIRED COMPONENTS
    kwin
)

find_package(LayerShellQt REQUIRED)
find_package(Wayland REQUIRED)
find_package(PlasmaWaylandProtocols 1.8 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Plasma-specific Wayland protocols"
    URL "https://invent.kde.org/libraries/plasma-wayland-protocols/"
)


find_package(LibKWorkspace CONFIG REQUIRED)
find_package(Libudev REQUIRED)

find_package(KWinDBusInterface)
set_package_properties(KWinDBusInterface PROPERTIES DESCRIPTION "KWin DBus interface"
    TYPE REQUIRED
    PURPOSE "Needed for virtual keyboard toggle button"
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Auth)
set_package_properties(KF6::AuthCore PROPERTIES
    TYPE REQUIRED
    PURPOSE "Allows Plasma Mobile to configure Waydroid"
)

include(CheckIncludeFiles)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

plasma_install_package(lookandfeel org.kde.breeze.mobile look-and-feel lookandfeel)
plasma_install_package(shell org.kde.plasma.mobileshell shells)

add_subdirectory(bin)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(quicksettings)
add_subdirectory(kcms)
add_subdirectory(kded)
add_subdirectory(kwin)
add_subdirectory(envmanager)
add_subdirectory(initialstart)
add_subdirectory(layout-templates)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

find_program(PlasmaOpenSettings plasma-open-settings)
set_package_properties(PlasmaOpenSettings PROPERTIES
                                          URL https://invent.kde.org/plasma/kde-cli-tools/
                                          DESCRIPTION "Opens KCMs properly"
                                          TYPE RUNTIME
                                          PURPOSE "Used on the top panel")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

if (INSTALL_SYSTEMD_SERVICE)
    install(FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/plasma-mobile.service
        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}
    )
endif()

=== components/mobileshell/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(mobileshellplugin URI org.kde.plasma.private.mobileshell GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

set(mobileshellplugin_SRCS
    shellutil.cpp
    components/direction.cpp
    components/direction.h
    components/swipearea.cpp
    notifications/notificationthumbnailer.cpp
    notifications/notificationfilemenu.cpp
    notifications/notificationfileinfo.cpp
    masklayer/masklayer.cpp
    masklayer/maskmanager.cpp
)
target_include_directories(mobileshellplugin PRIVATE components)
target_include_directories(mobileshellplugin PRIVATE notifications)
target_include_directories(mobileshellplugin PRIVATE masklayer)
target_sources(mobileshellplugin PRIVATE ${mobileshellplugin_SRCS})

# Singleton declarations
set_source_files_properties(
    qml/components/AppLaunch.qml
    qml/components/Constants.qml
    qml/dataproviders/AudioInfo.qml
    qml/dataproviders/BatteryInfo.qml
    qml/dataproviders/BluetoothInfo.qml
    qml/dataproviders/NetworkInfo.qml
    qml/dataproviders/SignalStrengthInfo.qml
    qml/popups/PopupProviderLoader.qml
    PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

# QML files meant to be used publicly
# TODO: move files gradually out of main namespace into sub namespaces
ecm_target_qml_sources(mobileshellplugin SOURCES
    qml/actiondrawer/ActionDrawer.qml
    qml/actiondrawer/ActionDrawerOpenSurface.qml
    qml/actiondrawer/ActionDrawerWindow.qml

    qml/components/AppLaunch.qml
    qml/components/BaseItem.qml
    qml/components/Constants.qml
    qml/components/Flickable.qml
    qml/components/FlickableOpacityGradient.qml
    qml/components/GridView.qml
    qml/components/HapticsEffect.qml
    qml/components/ListView.qml
    qml/components/MarqueeLabel.qml
    qml/components/PanelBackground.qml
    qml/components/ScreenEdgeDragEffect.qml
    qml/components/StartupFeedbackPanelFill.qml
    qml/components/StartupFeedbackWindows.qml
    qml/components/TextDropShadow.qml
    qml/components/VelocityCalculator.qml

    qml/dataproviders/AudioInfo.qml
    qml/dataproviders/BatteryInfo.qml
    qml/dataproviders/BluetoothInfo.qml
    qml/dataproviders/NetworkInfo.qml
    qml/dataproviders/SignalStrengthInfo.qml

    qml/homescreen/BlurEffect.qml
    qml/homescreen/DeviceLock.qml
    qml/homescreen/HomeScreen.qml
    qml/homescreen/WallpaperSelector.qml

    qml/navigationpanel/NavigationPanel.qml
    qml/navigationpanel/NavigationPanelAction.qml
    qml/navigationpanel/NavigationPanelButton.qml

    qml/popups/actionbuttons/ActionButton.qml
    qml/popups/actionbuttons/ActionButtonsProvider.qml
    qml/popups/actionbuttons/RotationButton.qml

    qml/popups/notifications/NotificationPopup.qml
    qml/popups/notifications/NotificationPopupManager.qml
    qml/popups/notifications/NotificationPopupProvider.qml
    qml/popups/notifications/PulseAudio.qml

    qml/popups/kscreenosd/KScreenOSDProvider.qml

    qml/popups/volumeosd/AudioApplet.qml
    qml/popups/volumeosd/DeviceListItem.qml
    qml/popups/volumeosd/icon.js
    qml/popups/volumeosd/ListItemBase.qml
    qml/popups/volumeosd/PopupCard.qml
    qml/popups/volumeosd/StreamListItem.qml
    qml/popups/volumeosd/VolumeChangedPopup.qml
    qml/popups/volumeosd/VolumeOSD.qml
    qml/popups/volumeosd/VolumeOSDProvider.qml
    qml/popups/volumeosd/VolumeSlider.qml
    qml/popups/PopupProviderLoader.qml

    qml/statusbar/indicators/BatteryIndicator.qml
    qml/statusbar/indicators/BluetoothIndicator.qml
    qml/statusbar/indicators/InternetIndicator.qml
    qml/statusbar/indicators/SignalStrengthIndicator.qml
    qml/statusbar/indicators/VolumeIndicator.qml
    qml/statusbar/ClockText.qml
    qml/statusbar/StatusBar.qml
    qml/statusbar/TaskWidget.qml

    qml/widgets/krunner/KRunnerScreen.qml
    qml/widgets/mediacontrols/BlurredBackground.qml
    qml/widgets/mediacontrols/MediaControlsSource.qml
    qml/widgets/mediacontrols/MediaControlsWidget.qml
    qml/widgets/notifications/BaseNotificationItem.qml
    qml/widgets/notifications/NotificationBodyLabel.qml
    qml/widgets/notifications/NotificationCard.qml
    qml/widgets/notifications/NotificationEditContextMenu.qml
    qml/widgets/notifications/NotificationFooterActions.qml
    qml/widgets/notifications/NotificationGroupHeader.qml
    qml/widgets/notifications/NotificationItem.qml
    qml/widgets/notifications/NotificationJobDetails.qml
    qml/widgets/notifications/NotificationJobItem.qml
    qml/widgets/notifications/NotificationPopupItem.qml
    qml/widgets/notifications/NotificationReplyField.qml
    qml/widgets/notifications/NotificationsModelType.qml
    qml/widgets/notifications/NotificationsUtils.js
    qml/widgets/notifications/NotificationsWidget.qml
    qml/widgets/notifications/NotificationTimeText.qml
    qml/widgets/notifications/ThumbnailStrip.qml
)

# Other supporting QML files
ecm_target_qml_sources(mobileshellplugin SOURCES
    qml/actiondrawer/private/BrightnessItem.qml
    qml/actiondrawer/private/Handle.qml
    qml/actiondrawer/private/QuickSettings.qml
    qml/actiondrawer/private/QuickSettingsDelegate.qml
    qml/actiondrawer/private/QuickSettingsDrawer.qml
    qml/actiondrawer/private/QuickSettingsFullDelegate.qml
    qml/actiondrawer/private/QuickSettingsMinimizedDelegate.qml
    qml/actiondrawer/private/QuickSettingsPanel.qml
    qml/actiondrawer/private/ContentContainer.qml
    qml/actiondrawer/private/LandscapeContentContainer.qml
    qml/actiondrawer/private/NotificationDrawer.qml
    qml/actiondrawer/private/PortraitContentContainer.qml
    PATH actiondrawer/private
)


target_link_libraries(mobileshellplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        Qt::Qml
        Qt::Gui
        Qt::Quick
        Qt::WaylandClientPrivate
        KF6::KIOGui
        Plasma::Plasma
        KF6::I18n
        KF6::Notifications
        Plasma::PlasmaQuick
        KF6::KIOGui
        KF6::KIOWidgets # for PreviewJob
        KF6::Service
        KF6::Package
        KF6::ConfigGui
        LayerShellQt::Interface
)

ecm_finalize_qml_module(mobileshellplugin)

=== debian/changelog ===
plasma-mobile (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:28:11 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev,
               kwin-dev (>= 4:6.5.3~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6bluezqt-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev,
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.3~),
               libkscreen-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libplasma5support-dev,
               libplasmaactivities-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               milou,
               pkg-kde-tools,
               pkgconf,
               plasma-nano,
               plasma-nm,
               plasma-pa,
               plasma-wayland-protocols (>= 1.8~),
               plasma-workspace-dev (>= 4:6.1.0~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-sensors-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-mobile.git

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         maliit-keyboard,
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: kde-config-mobile-networking (<< 4:6.0.0~),
          plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.5.3+p24.04+vunstable+git20251207.0030

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -76,6 +76,7 @@
     KCMUtils
     Package
     JobWidgets
+    WindowSystem
 )
 
 find_package(Plasma CONFIG REQUIRED)
@@ -90,9 +91,6 @@
 find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
 qcoro_enable_coroutines()
 kde_enable_exceptions()
-
-pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
-pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)
 
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 find_package(epoxy REQUIRED)
@@ -136,6 +134,7 @@
 add_subdirectory(bin)
 add_subdirectory(components)
 add_subdirectory(containments)
+add_subdirectory(devices)
 add_subdirectory(quicksettings)
 add_subdirectory(kcms)
 add_subdirectory(kded)
@@ -146,6 +145,8 @@
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
+
+install(FILES org.kde.plasma.mobileshell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 find_program(PlasmaOpenSettings plasma-open-settings)
 set_package_properties(PlasmaOpenSettings PROPERTIES
@@ -166,6 +167,6 @@
 if (INSTALL_SYSTEMD_SERVICE)
     install(FILES
         ${CMAKE_CURRENT_SOURCE_DIR}/plasma-mobile.service
-        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}
+        DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/system
     )
 endif()

=== containments/homescreens/folio/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.mobile.homescreen.folio\")

plasma_add_applet(org.kde.plasma.mobile.homescreen.folio
    QML_SOURCES
        qml/AppDrawer.qml
        qml/AppDrawerGrid.qml
        qml/AppDrawerHeader.qml
        qml/DelegateDragItem.qml
        qml/FavouritesBar.qml
        qml/FolderView.qml
        qml/FolderViewTitle.qml
        qml/FolioHomeScreen.qml
        qml/HomeScreenPage.qml
        qml/HomeScreenPages.qml
        qml/main.qml
        qml/PlaceholderDelegate.qml
        qml/WidgetDragItem.qml
        qml/config.qml
    CPP_SOURCES
        applicationlistmodel.cpp
        delegatetoucharea.cpp
        dragstate.cpp
        favouritesmodel.cpp
        folioapplication.cpp
        folioapplicationfolder.cpp
        foliodelegate.cpp
        foliosettings.cpp
        foliowidget.cpp
        homescreen.cpp
        homescreenstate.cpp
        pagelistmodel.cpp
        pagemodel.cpp
        widgetcontainer.cpp
        widgetsmanager.cpp
        windowlistener.cpp
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/delegate/AbstractDelegate.qml
    qml/delegate/AppDelegate.qml
    qml/delegate/AppFolderDelegate.qml
    qml/delegate/DelegateAppIcon.qml
    qml/delegate/DelegateFolderIcon.qml
    qml/delegate/DelegateIconLoader.qml
    qml/delegate/DelegateLabel.qml
    qml/delegate/DelegateShadow.qml
    qml/delegate/KeyboardHighlight.qml
    qml/delegate/WidgetDelegate.qml
    qml/delegate/WidgetDelegateConfig.qml
    PATH delegate
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/private/ConfirmDeleteFolderDialogLoader.qml
    qml/private/ContextMenuLoader.qml
    qml/private/DarkenEffect.qml
    qml/private/Orientation.qml
    qml/private/WidgetHandlePosition.qml
    qml/private/WidgetResizeHandle.qml
    qml/private/WidgetResizeHandleFrame.qml
    PATH private
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
    qml/settings/AppletListViewer.qml
    qml/settings/SettingsButton.qml
    qml/settings/SettingsComponent.qml
    qml/settings/ConfigGeneral.qml
    PATH settings
)

target_link_libraries(org.kde.plasma.mobile.homescreen.folio PRIVATE
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Plasma::Plasma
    Plasma::PlasmaQuick
    KF6::I18n
    KF6::Service
    KF6::KIOGui
    KF6::Notifications
    Plasma::KWaylandClient
    KF6::WindowSystem
    KF6::JobWidgets
)

=== debian/changelog ===
plasma-mobile (6.5.3+p24.04+vunstable+git20251207.0030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 00:31:04 +0000

plasma-mobile (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:36 +1000

plasma-mobile (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:00 +1000

## plasma-mobile 6.5.3+p24.04+vunstable+git20251209.0510

=== debian/changelog ===
plasma-mobile (6.5.3+p24.04+vunstable+git20251209.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:08 +0000

## plasma-mobile 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -76,7 +76,6 @@
     KCMUtils
     Package
     JobWidgets
-    WindowSystem
 )
 
 find_package(Plasma CONFIG REQUIRED)
@@ -91,6 +90,9 @@
 find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
 qcoro_enable_coroutines()
 kde_enable_exceptions()
+
+pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
+pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)
 
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 find_package(epoxy REQUIRED)
@@ -134,7 +136,6 @@
 add_subdirectory(bin)
 add_subdirectory(components)
 add_subdirectory(containments)
-add_subdirectory(devices)
 add_subdirectory(quicksettings)
 add_subdirectory(kcms)
 add_subdirectory(kded)
@@ -145,8 +146,6 @@
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
-
-install(FILES org.kde.plasma.mobileshell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 find_program(PlasmaOpenSettings plasma-open-settings)
 set_package_properties(PlasmaOpenSettings PROPERTIES

=== debian/changelog ===
plasma-mobile (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 0.6~),
                kwayland-dev,
-               kwin-dev (>= 4:6.5.3~),
+               kwin-dev (>= 4:6.5.4~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
@@ -35,7 +35,7 @@
                libkf6notifications-dev (>= 6.18.0~),
                libkf6package-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
                libkscreen-dev,
                liblayershellqtinterface-dev,
                libplasma-dev,

## plasma-mobile 6.5.4+p24.04+vstable+git20251231.0650

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vstable+git20251231.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 06:50:36 +0000

plasma-mobile (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:50 +1000

## plasma-mobile 6.5.4+p24.04+vstable+git20260103.0701

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vstable+git20260103.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 07:01:19 +0000

## plasma-mobile 6.5.4+p24.04+vstable+git20260109.0353

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vstable+git20260109.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 03:53:46 +0000

## plasma-mobile 6.5.4+p24.04+vunstable+git20251209.1543

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vunstable+git20251209.1543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 15:43:30 +0000

## plasma-mobile 6.5.4+p24.04+vunstable+git20251210.0158

=== debian/changelog ===
plasma-mobile (6.5.4+p24.04+vunstable+git20251210.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 01:58:53 +0000

## plasma-mobile 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-mobile (6.5.5-0ubuntu3) resolute; urgency=medium

  * Demote maliit-keyboard to recommends.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 09:55:21 +0000

plasma-mobile (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:07:32 +0000

plasma-mobile (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:04 +0000

plasma-mobile (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:27 +0000

plasma-mobile (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:13 +0000

plasma-mobile (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:53 +0000

plasma-mobile (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:12 +0000

plasma-mobile (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:56 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 0.6~),
               kwayland-dev (>= 4:6.5.5~),
               kwin-dev (>= 4:6.5.5~),
               libdrm-dev,
               libepoxy-dev,
               libglib2.0-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6bluezqt-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6modemmanagerqt-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.5~),
               libkscreen-dev (>= 4:6.5.5~),
               liblayershellqtinterface-dev (>= 6.5.5~),
               libplasma-dev (>= 6.5.5~),
               libplasma5support-dev (>= 4:6.5.5~),
               libplasmaactivities-dev (>= 6.5.5~),
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               milou (>= 4:6.5.5~),
               pkg-kde-tools,
               pkgconf,
               plasma-nano (>= 6.5.5~),
               plasma-nm (>= 4:6.5.5~),
               plasma-pa (>= 4:6.5.5~),
               plasma-wayland-protocols,
               plasma-workspace-dev (>= 4:6.5.5~),
               qcoro-qt6-dev,
               qml6-module-org-kde-pipewire (>= 6.5.5~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-sensors-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-private-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: kde-style-breeze (>= 4:6.0.0~),
         kf6-breeze-icon-theme,
         layer-shell-qt (>= 6.0.0~),
         milou,
         plasma-nano (>= 6.0.0~),
         plasma-nm (>= 4:6.0.0~),
         plasma-pa (>= 4:6.0.0~),
         plasma-settings (>= 24.02.0~),
         plasma-workspace (>= 6.0.0~),
         powerdevil (>= 6.0.0~),
         xdg-desktop-portal-kde (>= 6.0.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 6.0.0~),
            hfd-service,
            iio-sensor-proxy,
            maliit-keyboard,
            plasma-mobile-tweaks,
            plasma-workspace-wallpapers,
Replaces: plasma-settings (<< 24.02.0~),
Breaks: kde-config-mobile-networking (<< 4:6.0.0~),
        plasma-settings (<< 24.02.0~),
Description: User interface for phones, based on Plasma technologies
 Plasma Mobile is a graphical user interface and ecosystem targeted at mobile
 devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 6.5.5+p24.04+vstable+git20260130.0921

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vstable+git20260130.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:21:40 +0000

plasma-mobile (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:22 +1000

## plasma-mobile 6.5.5+p24.04+vstable+git20260202.1057

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vstable+git20260202.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:57:58 +0000

## plasma-mobile 6.5.5+p24.04+vunstable+git20260130.1406

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vunstable+git20260130.1406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:06:20 +0000

## plasma-mobile 6.5.5+p24.04+vunstable+git20260204.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,11 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -76,6 +76,7 @@
     KCMUtils
     Package
     JobWidgets
+    WindowSystem
 )
 
 find_package(Plasma CONFIG REQUIRED)
@@ -90,9 +91,6 @@
 find_package(QCoro6 REQUIRED COMPONENTS DBus Qml)
 qcoro_enable_coroutines()
 kde_enable_exceptions()
-
-pkg_check_modules(GOBJECT gobject-2.0 REQUIRED IMPORTED_TARGET)
-pkg_check_modules(GIO gio-2.0 REQUIRED IMPORTED_TARGET)
 
 find_package(KF6KirigamiAddons 0.6 REQUIRED)
 find_package(epoxy REQUIRED)
@@ -136,6 +134,7 @@
 add_subdirectory(bin)
 add_subdirectory(components)
 add_subdirectory(containments)
+add_subdirectory(devices)
 add_subdirectory(quicksettings)
 add_subdirectory(kcms)
 add_subdirectory(kded)
@@ -146,6 +145,8 @@
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
+
+install(FILES org.kde.plasma.mobileshell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 find_program(PlasmaOpenSettings plasma-open-settings)
 set_package_properties(PlasmaOpenSettings PROPERTIES

=== containments/homescreens/halcyon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.mobile.homescreen.halcyon\")

plasma_add_applet(org.kde.plasma.mobile.homescreen.halcyon
    QML_SOURCES
        qml/Clock.qml
        qml/FavoritesAppDelegate.qml
        qml/FavoritesGrid.qml
        qml/FavoritesView.qml
        qml/FolderGrid.qml
        qml/GridAppDelegate.qml
        qml/GridAppList.qml
        qml/HomeScreen.qml
        qml/main.qml
        qml/SearchWidget.qml
        qml/config.qml
    CPP_SOURCES
        application.cpp
        applicationfolder.cpp
        applicationlistmodel.cpp
        halcyonsettings.cpp
        homescreen.cpp
        pinnedmodel.cpp
        windowlistener.cpp
)

ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.halcyon SOURCES
    qml/settings/SettingsScreen.qml
    qml/settings/ConfigGeneral.qml
    PATH settings
)

target_link_libraries(org.kde.plasma.mobile.homescreen.halcyon PRIVATE
                      Qt::Gui
                      Qt::Qml
                      Qt::Quick
                      Plasma::Plasma
                      Plasma::KWaylandClient
                      KF6::I18n
                      KF6::Service
                      KF6::KIOGui
                      KF6::JobWidgets
                      KF6::WindowSystem)

=== debian/changelog ===
plasma-mobile (6.5.5+p24.04+vunstable+git20260204.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:07:48 +0000

## plasma-mobile 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.24)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== devices/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

install(DIRECTORY configs/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma-mobile-device-presets)

=== envmanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(plasma-mobile-envmanager_SRCS
    main.cpp
    settings.cpp
    utils.cpp
    devicepresets.cpp
    config.h
)

add_executable(plasma-mobile-envmanager ${plasma-mobile-envmanager_SRCS} ${RESOURCES})
target_link_libraries(plasma-mobile-envmanager
    Qt::Qml
    Qt::Gui
    Qt::Widgets
    Qt::Quick
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::Package
)

target_include_directories(plasma-mobile-envmanager PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS plasma-mobile-envmanager ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== components/mobileshell/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
     qml/homescreen/HomeScreen.qml
     qml/homescreen/WallpaperSelector.qml
 
+    qml/navigationpanel/GesturePanel.qml
     qml/navigationpanel/NavigationPanel.qml
     qml/navigationpanel/NavigationPanelAction.qml
     qml/navigationpanel/NavigationPanelButton.qml
@@ -101,7 +102,6 @@
     qml/statusbar/indicators/VolumeIndicator.qml
     qml/statusbar/ClockText.qml
     qml/statusbar/StatusBar.qml
-    qml/statusbar/TaskWidget.qml
 
     qml/widgets/krunner/KRunnerScreen.qml
     qml/widgets/mediacontrols/BlurredBackground.qml

=== components/mobileshellstate/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(mobileshellstateplugin_SRCS
    shelldbusobject.cpp
    shelldbusclient.cpp
    lockscreendbusclient.cpp
    startupfeedbackmodel.cpp
    windowlistener.cpp
    volumeosdlistener.cpp
    panelsettingsdbusobjectmanager.cpp
    panelsettingsdbusclient.cpp
)

# Add shell dbus API
qt_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/shelldbusobject.h
    org.kde.plasmashell.Mobile.xml
    OPTIONS -s -m -P
)
qt_add_dbus_adaptor(mobileshellstateplugin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.xml
                    ${CMAKE_CURRENT_SOURCE_DIR}/shelldbusobject.h ShellDBusObject)
qt_add_dbus_interface(mobileshellstateplugin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.xml plasmashellmobileinterface)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
# ---

# Add shell panels dbus API
qt_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/panelsettingsdbusobjectmanager.h
    org.kde.plasmashell.Mobile.Panels.xml
    OPTIONS -s -m -P
)
qt_add_dbus_adaptor(mobileshellstateplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.Panels.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/panelsettingsdbusobjectmanager.h PanelSettingsDBusObject
)
set_source_files_properties(
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.Panels.xml
    PROPERTIES
    CLASSNAME "OrgKdePlasmashellMobilePanelsInterface"
)
qt_add_dbus_interface(
    mobileshellstateplugin_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.Panels.xml
    plasmashellmobilepanelsinterface
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasmashell.Mobile.Panels.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
# ---

ecm_add_qml_module(mobileshellstateplugin URI org.kde.plasma.private.mobileshell.state GENERATE_PLUGIN_SOURCE)

target_sources(mobileshellstateplugin PRIVATE ${mobileshellstateplugin_SRCS} ${RESOURCES})

target_link_libraries(mobileshellstateplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        Qt::Qml
        Qt::Gui
        Qt::Quick
        Qt::DBus
        Plasma::Plasma
        Plasma::KWaylandClient
        KF6::I18n
        KF6::Notifications
        KF6::Screen
        Plasma::PlasmaQuick
)

ecm_finalize_qml_module(mobileshellstateplugin)

=== containments/taskpanel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2016 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2021 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

plasma_add_applet(org.kde.plasma.mobile.taskpanel
    QML_SOURCES
        qml/main.qml
        qml/NavigationPanelComponent.qml
        qml/GesturePanelComponent.qml
    CPP_SOURCES
        taskpanel.cpp
)

target_link_libraries(org.kde.plasma.mobile.taskpanel PRIVATE
                      Qt::Gui
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick
                      Qt::Sensors
                      Plasma::Plasma
                      KF6::Screen
                    )

=== containments/homescreens/folio/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
         qml/AppDrawerGrid.qml
         qml/AppDrawerHeader.qml
         qml/DelegateDragItem.qml
+        qml/DelegateDropArea.qml
         qml/FavouritesBar.qml
         qml/FolderView.qml
         qml/FolderViewTitle.qml
@@ -65,6 +66,7 @@
 )
 
 ecm_target_qml_sources(org.kde.plasma.mobile.homescreen.folio SOURCES
+    qml/settings/AppletListDelegate.qml
     qml/settings/AppletListViewer.qml
     qml/settings/SettingsButton.qml
     qml/settings/SettingsComponent.qml

=== debian/changelog ===
plasma-mobile (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:01 +0000

plasma-mobile (6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 13:00:22 +0000

=== debian/control ===
--- 
+++ 
@@ -11,55 +11,55 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwayland-dev (>= 4:6.5.5~),
-               kwin-dev (>= 4:6.5.5~),
+               kwayland-dev (>= 4:6.6.1~),
+               kwin-dev (>= 4:6.6.1~),
                libdrm-dev,
                libepoxy-dev,
                libglib2.0-dev,
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6bluezqt-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6declarative-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6modemmanagerqt-dev (>= 6.18.0~),
-               libkf6networkmanagerqt-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.5~),
-               libkscreen-dev (>= 4:6.5.5~),
-               liblayershellqtinterface-dev (>= 6.5.5~),
-               libplasma-dev (>= 6.5.5~),
-               libplasma5support-dev (>= 4:6.5.5~),
-               libplasmaactivities-dev (>= 6.5.5~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6bluezqt-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6declarative-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6modemmanagerqt-dev (>= 6.22.0~),
+               libkf6networkmanagerqt-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkpipewire-dev (>= 6.6.1~),
+               libkscreen-dev (>= 4:6.6.1~),
+               liblayershellqtinterface-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.1~),
+               libplasma5support-dev (>= 4:6.6.1~),
+               libplasmaactivities-dev (>= 6.6.1~),
                libudev-dev,
                libwayland-dev,
                libxcb1-dev,
-               milou (>= 4:6.5.5~),
+               milou (>= 4:6.6.1~),
                pkg-kde-tools,
                pkgconf,
-               plasma-nano (>= 6.5.5~),
-               plasma-nm (>= 4:6.5.5~),
-               plasma-pa (>= 4:6.5.5~),
+               plasma-nano (>= 6.6.1~),
+               plasma-nm (>= 4:6.6.1~),
+               plasma-pa (>= 4:6.6.1~),
                plasma-wayland-protocols,
-               plasma-workspace-dev (>= 4:6.5.5~),
+               plasma-workspace-dev (>= 4:6.6.1~),
                qcoro-qt6-dev,
-               qml6-module-org-kde-pipewire (>= 6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
-               qt6-sensors-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-private-dev (>= 6.9.0~),
+               qml6-module-org-kde-pipewire (>= 6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
+               qt6-sensors-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
+               qt6-wayland-private-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-mobile
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
